# Class CMKeyStoreProvider

java.lang.Object
java.util.Dictionary<Object,Object>
java.util.Hashtable<Object,Object>
java.util.Properties
java.security.Provider
com.io7m.canonmill.core.CMKeyStoreProvider

All Implemented Interfaces:
  `Serializable, Cloneable, Map<Object,Object>`

public final class CMKeyStoreProvider extends Provider
The `canonmill` keystore provider.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Provider

  `Provider.Service`

- ## Field Summary

  ### Fields inherited from class Properties

  `defaults`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CMKeyStoreProvider()`
  The `canonmill` keystore provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `keystoreType()`
  `static String`
  `providerName()`

  ### Methods inherited from class Provider

  `clear, compute, computeIfAbsent, computeIfPresent, configure, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, getVersionStr, isConfigured, keys, keySet, load, merge, put, putAll, putIfAbsent, putService, remove, remove, removeService, replace, replace, replaceAll, toString, values`

  ### Methods inherited from class Properties

  `clone, contains, containsKey, containsValue, equals, getProperty, hashCode, isEmpty, list, list, load, loadFromXML, propertyNames, rehash, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CMKeyStoreProvider

    public CMKeyStoreProvider()
    The `canonmill` keystore provider.

- ## Method Details

  - ### providerName

    public static String providerName()
    Returns:
      The `canonmill` provider name

  - ### keystoreType

    public static String keystoreType()
    Returns:
      The `canonmill` keystore type name